Subject: bug#66068: 30.0.50; xwidget-webkit-browse-url makes Emacs abort

From: Po Lu <[email-masked]>
Date: Mon, 25 Sep 2023 08:30:54 +0800

Stephen Berman <[email-masked]> writes:

> (Sorry for not responding sooner; I was travelling.)  I already posted a
> backtrace produced from -Q -xrm "emacs.synchronous: true" in the message
> I referred to above, see the attachment to <[email-masked]>
> <https://lists.gnu.org/archive/html/bug-gnu-emacs/2023-09/msg01928.html>.
> Though as I pointed out in that message, the only apparent differences
> from the first backtrace (produced from just -Q) are the specific
> numerical values of addresses, struct members, etc.  Just to be sure I
> just now repeated the asynchronous run again and got again a
> structurally identical backtrace (i.e., differing only in address and
> struct member numerical values).

That backtrace is erroneous, as starting Emacs with -Q (in contrast to
-q) causes all X resources to be ignored.  Please start Emacs with -q
instead.